Skip to main content
POST
/
youtube
/
content-search
Search for YouTube Content (Videos, Shorts, Streams) Across All Creators
curl --request POST \
  --url https://apiv3.creatordb.app/youtube/content-search \
  --header 'Content-Type: application/json' \
  --header 'api-key: <api-key>' \
  --data '
{
  "filters": [
    {
      "filterName": "isSponsored",
      "op": "=",
      "value": true
    },
    {
      "filterName": "views",
      "op": ">",
      "value": 1000000
    },
    {
      "filterName": "publishTime",
      "op": "<",
      "value": 30
    },
    {
      "filterName": "postType",
      "op": "=",
      "value": "video"
    }
  ],
  "sortBy": "views",
  "desc": true,
  "pageSize": 20,
  "offset": 0
}
'
{
  "data": {
    "contentList": [
      {
        "contentId": "FbCF_H4ZD64",
        "contentType": "video",
        "title": "I hosted an ADMIN ABUSE on GROW A GARDEN",
        "description": "Thanks @JandelTheGuy play grow a garden here...",
        "thumbnail": "https://i.ytimg.com/vi/FbCF_H4ZD64/hqdefault.jpg",
        "url": "https://www.youtube.com/watch?v=FbCF_H4ZD64",
        "publishTime": 1755273600000,
        "lengthSec": 873,
        "isSponsored": true,
        "partneredBrands": [
          "acer.com"
        ],
        "views": 5009695,
        "likes": 153000,
        "comments": 15182,
        "engagementRate": 0.0336,
        "hashtags": [
          "#VLOG"
        ],
        "language": "eng",
        "category": "Gaming",
        "creator": {
          "channelId": "UCm-X6o81nRsXQTmqpyArkBQ",
          "displayName": "Flamingo",
          "avatarUrl": "https://yt3.googleusercontent.com/7cF22TRiceqQr2Cro_X4uhRVnwCdOa2HXiwdBGPnUEqJDuCyr2CykDfDw2rCWjbjaHEdTMUC=s900-c-k-c0x00ffffff-no-rj",
          "totalSubscribers": 13900000
        }
      }
    ],
    "totalResults": 1250,
    "hasNextPage": true,
    "nextOffset": 20
  },
  "traceId": "f8e4a3b2c1d0e9f8a7b6c5d4e3f2a1b0",
  "timestamp": 1750732453635,
  "creditsAvailable": 123,
  "creditsUsed": 25,
  "errorCode": "",
  "errorDescription": "",
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.creatordb.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api-key
string
header
required

The valid CreatorDB API key for authentication.

Body

application/json

Request body for searching YouTube content across all creators using content-level and creator-level filters.

filters
object[]
required

Filter objects that include filterName, op, and value. For all accepted filterName values and their data types, see Configuring Custom Search Filters and Examples.

Required array length: 1 - 10 elements
pageSize
integer
required

Number of results per page. Maximum:100.

Required range: 1 <= x <= 100
offset
integer
required

Number of records to skip before returning results.

Required range: x >= 0
desc
boolean

Sort order for results. true for descending, false for ascending order.

sortBy
string

Field to sort brands by. For example, totalFollowers, sorts by follower count.

Response

200 - application/json

YouTube content search data returned successfully.

Response body for content search results. The content list and pagination details are returned in data.

data
object
required

Content search results with pagination details.

traceId
string
required

Unique trace ID for each request.

Example:

"f8e4a3b2c1d0e9f8a7b6c5d4e3f2a1b0"

timestamp
integer
required

Time the response was generated, represented as a Unix timestamp in milliseconds.

Example:

1750732453635

creditsAvailable
number
required

Number of API credits remaining.

creditsUsed
number
required

Number of API credits consumed by this request.

Example:

25

errorCode
string
required

Error code returned if the request fails. Empty if the request succeeds.

Example:

""

errorDescription
string
required

Description of the error if any. Empty if successful.

Example:

""

success
boolean
required

true if the request is successful.

Example:

true

Last modified on May 8, 2026